program PortableMenu;
{**
 * This unit is the start of the program 
 * Verify if the program is not launched (only one instance bye drive)
 *
 * All this code is under <a href="http://www.gnu.org/copyleft/gpl.html">GNU General Public License</a>
 * @Author <a href="mailto:jolly_arnaud@yahoo.fr">JOLLY Arnaud</a>
 * @version 0.6.0
 *}

{
JOLLY Arnaud - application designer
Copyright (C) 2006  JOLLY Arnaud

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
}

uses
  Windows,
  Forms,
  SysUtils,
  FormMain in 'FormMain.pas' {MainForm},
  SizeFunction in 'SizeFunction.pas';

{$R *.res}
var
  PortableAppsDir : String;
begin
  Application.Initialize;
  PortableAppsDir:=ExtractFileDrive(Application.ExeName);

  SetLastError(NO_ERROR);
  CreateMutex (nil, False, PAnsiChar('PortableAppsMenu'+PortableAppsDir+#0));
  if GetLastError = ERROR_ALREADY_EXISTS
    then Exit;

  Application.CreateForm(TMainForm, MainForm);
  Application.Run;
end.
